import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:mnemo_cards/utils/color_helper.dart';
import 'package:mnemo_cards_common/mnemo_cards_common.dart';
import 'package:mnemo_cards/utils/string_helper.dart';
import '../header.dart';

class CardPackHeader extends StatelessWidget {
  final String? title;
  final String? subtitle;
  final Color? color;

  CardPackHeader(this.title, this.subtitle, this.color);

  CardPackHeader.fromDto(CardPackDto? dto)
      : title = dto?.title,
        subtitle = dto?.subtitle,
        color = dto?.color?.asColor;

  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        Header(
          title,
          subtitle: subtitle,
          popText: 'к темам',
          hasPopButton: true,
          color: null,// color?.withOpacity(0.5),
        ),
        Container(
          color: null, //color?.withOpacity(0.5),
          height: 25.h,
        ),
        Container(
          color: color ?? Colors.grey.withOpacity(0.5),
          height: 1,
        )
      ],
    );
  }
}
